<!DOCTYPE html>
<html lang="pl-PL">

<head>
  <meta charset="UTF-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=edge" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Joanna Koperska - CV</title>
  <link href="style.css" rel="stylesheet" />
  <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" />
  <link crossorigin="anonymous" href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css"
    integrity="sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi" rel="stylesheet" />
</head>

<body>
  <nav class="navbar navbar-expand-lg bg-light sticky-top px-5">
    <button class="navbar-toggler" data-bs-toggle="collapse" data-bs-target="#nawigacja" type="button">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div id="nawigacja" class="collapse navbar-collapse justify-content-md-center">
      <ul class="navbar-nav">
        <li><a href="#o-mnie">O mnie</a></li>
        <li>
          <a href="#doswiadczenie-testerskie">Doświadczenie testerskie</a>
        </li>
        <li><a href="#doswiadczenie-zawodowe" >Doświadczenie zawodowe</a></li>
        <li><a href="#wyksztalcenie">Wykształcenie</a></li>
        <li><a href="#jezyki-obce">Języki obce</a></li>
        <li><a href="#umiejetnosci">Umiejętności</a></li>
        <li><a href="#oprogramowanie">Oprogramowanie</a></li>
        <li><a href="#certyfikaty">Certyfikaty</a></li>
      </ul>
    </div>
  </nav>

  <header>
    <div class="glass-container">
      <div id="avatar">
        <img src="akphoto.jpeg" alt="Moje zdjęcie" />
      </div>
      <div class="name">
        <h1>Joanna Koperska</h1>
        <span class="sub">Tester Oprogramowania</span>
      </div>
      <address>
        <a href="mailto:joasia.joasia@gmail.com" target="_blank"><i class="fa fa-envelope-square fa-2x" aria-hidden="true"></i></a>
        <a href="tel:00123456789" target="_blank"><i class="fa fa-phone-square fa-2x" aria-hidden="true"></i></a>
        <a href="https://linkedin.com/in/joanna-monika-koperska"><i class="fa fa-linkedin-square fa-2x"
            aria-hidden="true"></i></a>
        <a href="https://gitlab.com/joasia-koperska"><i class="fa fa-gitlab fa-2x" aria-hidden="true"></i></a>
      </address>
    </div>
  </header>

  <main>

    <div class="container">
      <div id="o-mnie" class="row">
        <div class="col">
          <h2>
            <i class="fa fa-user" aria-hidden="true"></i> O mnie
          </h2>
          <p>
            Posiadam ponad 10-letnie doświadczenie zawodowe na stanowiskach
            asystenckich w międzynarodowych instytucjach finansowych. Obecnie
            korzystam z urlopu wychowawczego, podczas którego postanowiłam zdobyć
            nowe umiejętności, przebranżowić się i rozpocząć pracę jako Junior
            Tester. Jestem absolwentką trwającego 5 miesięcy, kompleksowego
            programu szkoleniowego dla testerów oprogramowania zorganizowanego
            przez 4_testers. Podczas szkolenia zrealizowałam liczne projekty
            zaliczeniowe z zakresu testowania manualnego, podstaw programowania i
            automatyzacji testów. Każdy z nich został sprawdzony przez mentora
            prowadzącego zajęcia, a z efektami mojej pracy można zapoznać się w
            moim repozytorium.
          </p>
          <p class="tags">
            <span>Jira</span>
            <span>QACraft for Jira</span>
            <span>GIT</span>
            <span>Gitlab</span>
            <span>Visual Studio Code</span>
            <span>PyCharm</span>
            <span>DevTools</span>
          </p>
        </div>
      </div>

      <div id="doswiadczenie-testerskie" class="row">
        <div class="col">
          <h2>
            <i class="fa fa-desktop" aria-hidden="true"></i> Doświadczenie
            testerskie
          </h2>
          <h3 class="date">10/2023 - 03/2024</h3>
          <p>
            <strong>4_testers</strong> -
            <i>udział w programie szkoleniowym dla testerów oprogramowania</i>
          </p>
          <p>Podczas szkolenia zrealizowałam następujące projekty:</p>
          <ul>
            <li>
              przeprowadzenie testów wybranej strony internetowej i stworzenie
              raportu z testów, uzyskanie feedbacku do zrealizowanych testów;
            </li>
            <li>zgłaszanie błędów w dedykowanym narzedziu - Jira;</li>
            <li>
              projektowanie testów z wykorzystaniem wybranych technik testowania;
            </li>
            <li>
              przygotowanie i wykonanie przypadków testowych w dedykowanym
              narzędziu - QACraft for Jira;
            </li>
            <li>samodzielne przeprowadzenie sesji eksploracyjnej;</li>
            <li>
              wygenerowanie danych testowych z wykorzystaniem dedykowanych
              narzędzi;
            </li>
            <li>projekt własnego CV z wykorzystaniem HTML;</li>
            <li>projekt checklisty dla testów wskazanej aplikacji mobilnej;</li>
            <li>
              napisanie testów i uzupełnienie kodu na podstawie dostarczonych
              wymagań i szkieletu projektu;
            </li>
            <li>
              stworzenie zapytania, które wyselekcjonuje dane, których można użyć
              w zadanym przypadku testowym;
            </li>
            <li>pełna automatyzacja prostego API REST;</li>
            <li>pełna automatyzacja testów prostej strony internetowej;</li>
            <li>
              rozbudowanie pliku Gitlab CI YAML o możliwość konfigurowania
              uruchamianych testów przez zmienne środowiskowe;
            </li>
            <li>
              symulacja pracy w zespole testerskim: przygotowanie planu testów;
              testowanie zgodnie z założonym planem; raportowanie cząstkowe;
              raport końcowy wraz z analizą wykonanej pracy.
            </li>
          </ul>
        </div>
      </div>

      <div id="doswiadczenie-zawodowe" class="row">
        <div class="col">
          <h2>
            <i class="fa fa-briefcase" aria-hidden="true"></i> Doświadczenie
            zawodowe
          </h2>
          <h3 class="date">01/2011 - obecnie</h3>
          <p>
            <strong>Bank Millennium S.A.</strong> -
            <i>Asystentka Prezesa Zarządu</i>
          </p>
          <p>Zakres obowiązków:</p>
          <ul>
            <li>
              wsparcie Prezesa Zarządu (Portugalczyka) w zakresie organizacji
              codziennej pracy;
            </li>
            <li>
              zapewnienie prawidłowego przepływu informacji między Zarządem a
              pozostałymi komórkami w ramach struktury firmy;
            </li>
            <li>zarządzanie kalendarzem spotkań;</li>
            <li>organizacja podróży i dokumentów pobytowych;</li>
            <li>
              zarządzanie korespondencją i nadzór nad prawidłowym obiegiem i
              archiwizacją dokumentacji;
            </li>
            <li>
              prowadzenie korespondencji z organami administracji państwowej (tj.
              Ministerstwo Finansów, NBP, UKNF, GIIF);
            </li>
            <li>
              przygotowywanie zestawień i prezentacji na zlecenie przełożonego.
            </li>
          </ul>

          <h3 class="date">03/2008 - 12/2010</h3>
          <p>
            <strong>Pekao Leasing Sp. z o.o.</strong> - <i>Asystentka Zarządu</i>
          </p>
          <p>Zakres obowiązków:</p>
          <ul>
            <li>
              wsparcie Prezes Zarządu (Amerykanki) w zakresie organizacji
              codziennej pracy;
            </li>
            <li>organizacja pracy Sekretariatu Zarządu Spółki;</li>
            <li>
              kompleksowe wsparcie Zarządu i pracowników Spółki w kwestiach
              organizacyjnych i administracyjnych;
            </li>
            <li>
              administrowanie obiegiem dokumentów (korespondencja
              przychodząca/wychodząca, archiwizacja, prowadzenie rejestrów).
            </li>
          </ul>
        </div>
      </div>

      <div class="row">
        <div class="col-8">
          <h2 id="wyksztalcenie">
            <i class="fa fa-graduation-cap" aria-hidden="true"></i> Wykształcenie
          </h2>
          <h3 class="date">10/2009 - 07/2012</h3>
          <p>
            <strong>Uniwersytet SWPS</strong> -
            <i>Dziennikarstwo i Komunikacja Społeczna - Licencjat</i>
          </p>
        </div>
        <div class="col-4">
          <h2 id="jezyki-obce"><i class="fa fa-language" aria-hidden="true"></i> Języki obce</h2>
          <ul>
            <li>Angielski - C1</li>
            <li>Polski - ojczysty</li>
          </ul>
        </div>
      </div>

      <div class="row">
        <div class="col">
          <h2 id="umiejetnosci"><i class="fa fa-lightbulb-o" aria-hidden="true"></i> Umiejętności</h2>
          <ul>
            <li>testowanie manualne aplikacji mobilnych i web</li>
            <li>tworzenie manualnych przypadków testowych</li>
            <li>tworzenie scenariuszy testowych</li>
            <li>przygotowywanie danych testowych</li>
            <li>tworzenie raportów i dokumentacji</li>
            <li>podstawowa znajomość baz danych</li>
            <li>podstawowa znajomość HTML5/CSS</li>
            <li>Excell - poziom średniozaawansowany</li>
          </ul>
        </div>
        <div class="col">
          <h2 id="oprogramowanie"><i class="fa fa-cogs" aria-hidden="true"></i> Oprogramowanie</h2>
          <ul>
            <li>Jira, QACraft for Jira</li>
            <li>GIT, Gitlab</li>
            <li>Visual Studio Code</li>
            <li>PyCharm</li>
            <li>Postman</li>
            <li>DevTools</li>
          </ul>
        </div>
        <div class="col">
          <h2 id="certyfikaty"><i class="fa fa-certificate" aria-hidden="true"></i> Certyfikaty</h2>
          <h3 class="date">04/2024</h3>
          <p>ISTQB® Certified Tester-Foundation Level</p>
        </div>
      </div>
    </div>
  </main>

  <footer>&copy; 2023 Joanna Koperska</footer>

  <script crossorigin="anonymous" integrity="sha256-o88AwQnZB+VDvE9tvIXrMQaPlFFSUTR+nldQm1LuPXQ="
    src="https://code.jquery.com/jquery-3.6.1.min.js"></script>
  <script crossorigin="anonymous" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3"
    src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>